## com.google.javascript.rhino
Class Node.FileLevelJsDocBuilder

    java.lang.Object
      com.google.javascript.rhino.Node.FileLevelJsDocBuilder

Enclosing class:
  Node

    public class Node.FileLevelJsDocBuilder

extends Object

An inner class that provides back-door access to the license property of the JSDocInfo property for this node. This is only meant to be used for top level script nodes where the `JsDocInfoParser` needs to be able to append directly to the top level node, not just the current node.

Constructor Summary
`Node.FileLevelJsDocBuilder()`

Method Summary
`void` | `append(String fileLevelComment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.FileLevelJsDocBuilder

    public Node.FileLevelJsDocBuilder()

Method Detail

### append

    public void append(String fileLevelComment)